#include "figure.hpp"
#include <vector>

using namespace std;
using namespace zpr;

int main() {
	vector<PFigure> v;
	v.push_back(PFigure(new Circle));
	v.push_back(PFigure(new Circle));
	v.push_back(PFigure(new Rect));

	for(const PFigure& f : v) {
		f->draw();
	}

	vector<PFigure> w;
	for(const PFigure& f : v) {
		w.push_back( f->clone() );
	}

	for(const PFigure& f : w) {
		f->draw();
	}

	return 0;
}
