/** przyklad użycia operacji atomowych */

#include <boost/thread/thread.hpp>
#include <atomic>
#include <iostream>

std::atomic<int> counter(0);

void thread_fun() {
	for(int i=0;i<9000000;++i) {
		++counter;
	}
}

int main() {
    const int NUM = 4;
    boost::thread_group thrds;
    for (int i=0; i < NUM; ++i)
        thrds.create_thread(&thread_fun);
    thrds.join_all();
	std::cout << "counter: " << counter << std::endl;
    return 0;
}



