#include <vector>
#include <algorithm>
#include <iterator>
#include <iostream>
#include <random>

using namespace std;

int main() {
	static const int N = 100;
	vector<int> v(N);
	fill( v.begin(), v.end(), 1);

	for_each( v.begin(), v.end(), [](int& i){ ++i;});
	copy( v.begin(), v.end(), ostream_iterator<int>(cout, " ") );

	std::mt19937_64 gen; //Mersanne Twister random generator, default seed
	std::uniform_int_distribution<> distr(0,99);
	generate( v.begin(), v.end(), [&](){ return distr(gen);});


	copy( v.begin(), v.end(), ostream_iterator<int>(cout, " ") );


	return 0;
}
